Package org.drinkless.tdlib

# Class TdApi.SetUserPrivacySettingRules

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetUserPrivacySettingRules

Enclosing class:
  `TdApi`

public static class TdApi.SetUserPrivacySettingRules extends TdApi.Function<TdApi.Ok>
Changes user privacy settings.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.UserPrivacySettingRules`
  `rules`
  The new privacy rules.
  `TdApi.UserPrivacySetting`
  `setting`
  The privacy setting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetUserPrivacySettingRules()`
  Default constructor for a function, which changes user privacy settings.
  `SetUserPrivacySettingRules(TdApi.UserPrivacySetting setting, TdApi.UserPrivacySettingRules rules)`
  Creates a function, which changes user privacy settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### setting

    public TdApi.UserPrivacySetting setting
    The privacy setting.

  - ### rules

    public TdApi.UserPrivacySettingRules rules
    The new privacy rules.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetUserPrivacySettingRules

    public SetUserPrivacySettingRules()
    Default constructor for a function, which changes user privacy settings.

    Returns `Ok`

  - ### SetUserPrivacySettingRules

    public SetUserPrivacySettingRules(TdApi.UserPrivacySetting setting, TdApi.UserPrivacySettingRules rules)
    Creates a function, which changes user privacy settings.

    Returns `Ok`

    Parameters:
      `setting` - The privacy setting.
      `rules` - The new privacy rules.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR